## org.eclipse.emf.edit.command
Interface CommandActionDelegate

All Known Implementing Classes:
  CreateChildCommand, CreateMappingAction.DelegateCommand, CreateOneSidedMappingAction.DelegateCommand, DelegatingWrapperItemProvider.AffectedObjectsWrappingCommandActionDelegate, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate, NameMatchMappingAction.DelegateCommand, RemoveMappingAction.CommandDelegate, TypeMatchMappingAction.DelegateCommand

    public interface CommandActionDelegate

This is the interface used by a CommandAction to delegate all of the set methods of an IAction to a `Command`.

Method Summary
`boolean` `canExecute()` This returns whether the action should be enabled.
`java.lang.String` `getDescription()` This returns the description, if any, of the action.
`java.lang.Object` `getImage()` This returns the decoration, if any, of the action.
`java.lang.String` `getText()` This returns the menu text, if any, of the action.
`java.lang.String` `getToolTipText()` This returns the tool tip text, if any, of the action.

Method Detail

### canExecute

    boolean canExecute()

  This returns whether the action should be enabled.

### getImage

    java.lang.Object getImage()

  This returns the decoration, if any, of the action.

### getText

    java.lang.String getText()

  This returns the menu text, if any, of the action.

### getDescription

    java.lang.String getDescription()

  This returns the description, if any, of the action.

### getToolTipText

    java.lang.String getToolTipText()

  This returns the tool tip text, if any, of the action.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.